package de.javabeginners.plugin.notice.ui.handler;
import org.eclipse.core.commands.Command;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.core.commands.IHandlerListener;
import org.eclipse.ui.IViewPart;
import org.eclipse.ui.handlers.HandlerUtil;

import de.javabeginners.plugin.notice.ui.views.NoticeView;

public class NewTabHandler implements IHandler {

		@Override
		public Object execute(ExecutionEvent event) throws ExecutionException {
			// toggle the button state
			Command com = event.getCommand();
			HandlerUtil.toggleCommandState(com);
			IViewPart part = HandlerUtil.getActiveWorkbenchWindow(event)
					.getActivePage()
					.findView("de.javabeginners.plugin.notice.ui.views.NoticeView");
			NoticeView view = (NoticeView) part;
			// Create a new tab
			view.createTab();
			return null;
		}

		@Override
		public void addHandlerListener(IHandlerListener handlerListener) {
		}

		@Override
		public void dispose() {
		}

		@Override
		public boolean isEnabled() {
			return true;
		}

		@Override
		public boolean isHandled() {
			return true;
		}

		@Override
		public void removeHandlerListener(IHandlerListener handlerListener) {
		}
}
